/**
 *  '$RCSfile: LibrarySearchPane.java,v $'
 *  Copyright: 2004 Regents of the University of California and the
 *             National Center for Ecological Analysis and Synthesis
 *
 *   '$Author: berkley $'
 *     '$Date: 2004/09/08 19:09:21 $'
 * '$Revision: 1.1 $'
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ecoinformatics.seek.ecogrid;
import java.awt.event.ActionListener;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

/**
 * LibrarySearchPane provides and interface for the search panel in the
 * actor library
 *
 * @author Chad Berkley
 */
public abstract class LibrarySearchPane extends JPanel
{
  ActionListener searchButtonHandler;
  /**
   * constructor
   * @param searchButtonListener a listener to handle the search event
   */
  public LibrarySearchPane(ActionListener searchButtonHandler)
  {
    this.searchButtonHandler = searchButtonHandler;
  }

  /**
   * return the search string
   */
  public abstract String getSearchTerm();
}
