  /**
   *    '$RCSfile: QBSplitPaneSQL.java,v $'
   *
   *     '$Author: tao $'
   *       '$Date: 2004/08/18 21:59:24 $'
   *   '$Revision: 1.1 $'
   *
   *  For Details: http://kepler.ecoinformatics.org
   *
   * Copyright (c) 2003 The Regents of the University of California.
   * All rights reserved.
   *
   * Permission is hereby granted, without written agreement and without
   * license or royalty fees, to use, copy, modify, and distribute this
   * software and its documentation for any purpose, provided that the
   * above copyright notice and the following two paragraphs appear in
   * all copies of this software.
   *
   * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
   * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
   * ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
   * IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY
   * OF SUCH DAMAGE.
   *
   * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
   * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
   * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
   * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY
   * OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
   * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
   */
package org.ecoinformatics.seek.querybuilder;

import java.awt.BorderLayout;

import javax.swing.JEditorPane;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.SingleSelectionModel;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

/**
 * Simple pane containing a text control for displaying the SQL of the query
 */
public class QBSplitPaneSQL extends JPanel implements ChangeListener
{
  protected int         mCurrInx = 0;
  protected JEditorPane mEditor;

  protected QBSplitPaneStandard mStd;
  protected QBSplitPaneAdvanced mAdv;

  /**
   * QBSplitPane Constructor
   */
  public QBSplitPaneSQL(QBSplitPaneStandard aStd, QBSplitPaneAdvanced aAdv)
  {
    mStd = aStd;
    mAdv = aAdv;
    setLayout(new BorderLayout());

    mEditor = new JEditorPane();
    JScrollPane scrollpane = new JScrollPane(mEditor);
    add(scrollpane, BorderLayout.CENTER);
  }

  //-----------------------------------------------------------------------------
  //--  Change Listener Interface
  //-----------------------------------------------------------------------------

  /**
   * Notify when TAB changes
  */
  public void stateChanged(ChangeEvent e)
  {
    SingleSelectionModel model = (SingleSelectionModel) e.getSource();
    if (model.getSelectedIndex() == 2)
    {
      mEditor.setText(mCurrInx == 0 ? mStd.createSQL() : mAdv.createSQL());
    }
    mCurrInx = model.getSelectedIndex();
  }
}
